@import '_content/BlazorJWT.Core/BlazorJWT.Core.bundle.scp.css';
@import '_content/Microsoft.AspNetCore.Components.QuickGrid/Microsoft.AspNetCore.Components.QuickGrid.25o87uqmvr.bundle.scp.css';

/* /Components/EleveCard.razor.rz.scp.css */
body[b-0dufw4petr] {
}
/* /Components/EleveDetailCard.razor.rz.scp.css */
.wrapper[b-8060a351x9] {
    display: flex;
    flex-direction: column;
    width: 420px;
    margin : auto;
   /* height: 450px;*/
}

    .wrapper > div[b-8060a351x9] {
        padding: 10px;
        flex: 1 auto;
    }

.profile-img[b-8060a351x9] {
    width: 100px;
    height: 100px;
    border-radius: 50%;
    margin:auto;
    border: 5px solid #a4d9f9;
}

.content[b-8060a351x9] {
    width: 100%;
   /* height: 370px;*/
    position: relative;
    display: grid;
    grid-template-rows: 85% 15%;
    grid-row-gap : 5px;
    border-radius: 10px;
    border: 5px solid #a4d9f9;
    box-shadow: 0 2px 10px 0 rgba(0,0,0,0.16), 0 2px 10px 0 rgba(0,0,0,0.12);
}

.datas[b-8060a351x9] {
    display: flex;
    flex-direction: column;
}

.datas-footer[b-8060a351x9] {
    margin: 10px;
}

.data[b-8060a351x9] {
    display: grid;
    gap: 15px 10px;
    grid-template-columns: 45% auto;
}

    .data > div[b-8060a351x9] {
        border-bottom: 2px solid #000000;
        text-wrap: wrap;
        margin: 15px 0 0 0;
        vertical-align: bottom;
        text-align: left;
    }

.data-label[b-8060a351x9] {
    width: 100%;
    position: relative;
}

    .data-label > span.capital[b-8060a351x9] {
        font-weight: bold;
        text-transform: uppercase;
    }

.other-datas[b-8060a351x9] {
    margin:5px auto;
}

.btn-2[b-8060a351x9] {
    display: inline-block;
    outline: 0;
    border: 0;
    cursor: pointer;
    background: #a4d9f9;
    color: #FFFFFF;
    border-radius: 8px;
    padding: 14px 24px 16px;
    font-size: 18px;
    font-weight: 700;
    line-height: 1;
    transition: transform 200ms,background 200ms;
}
    .btn-2 :hover[b-8060a351x9] {
        transform: translateY(-2px);
    }
                
.btn[b-8060a351x9] {
    clear: both;
    text-align: center;
    width: 100%;
    height: 35px;
    background: #1da1f2;
    color: #fff;
    text-transform: uppercase;
    font-weight: 600;
    cursor: pointer;
    border-radius: 10px;
    text-shadow: 0 0 10px rgba(0,0,0,0.5);
}

.hide-element[b-8060a351x9] {
    display: none;
}

.display-element[b-8060a351x9] {
    display: block;
}

/*
.container form {
    padding: 30px 0 0 0;
}

.content form .form-row {
    display: flex;
    margin: 32px 0;
}

form .form-row .input-data {
    width: 100%;
    height: 40px;
    margin: 0 20px;
    position: relative;
}

form .form-row .textarea {
    height: 70px;
}

.input-data input,
.textarea textarea {
    display: block;
    width: 100%;
    height: 100%;
    border: none;
    font-size: 17px;
    border-bottom: 2px solid rgba(0,0,0, 0.12);
}

    .input-data input:focus ~ label, .textarea textarea:focus ~ label,
    .input-data input:valid ~ label, .textarea textarea:valid ~ label {
        transform: translateY(-20px);
        font-size: 14px;
        color: #3498db;
    }

.textarea textarea {
    resize: none;
    padding-top: 10px;
}

.input-data label {
    position: absolute;
    pointer-events: none;
    bottom: 10px;
    font-size: 16px;
    transition: all 0.3s ease;
}

.textarea label {
    width: 100%;
    bottom: 40px;
    background: #fff;
}

.input-data .underline {
    position: absolute;
    bottom: 0;
    height: 2px;
    width: 100%;
}

    .input-data .underline:before {
        position: absolute;
        content: "";
        height: 2px;
        width: 100%;
        background: #3498db;
        transform: scaleX(0);
        transform-origin: center;
        transition: transform 0.3s ease;
    }

.input-data input:focus ~ .underline:before,
.input-data input:valid ~ .underline:before,
.textarea textarea:focus ~ .underline:before,
.textarea textarea:valid ~ .underline:before {
    transform: scale(1);
}

.submit-btn .input-data {
    overflow: hidden;
    height: 45px !important;
    width: 25% !important;
}*/
/* /Components/EleveForm.razor.rz.scp.css */
/* /Components/EleveFormOld.razor.rz.scp.css */
body[b-9cb7qc2f42] {
    font-family: Arial, sans-serif;
    background: #f7f7f7;
    padding: 40px;
}

.form-container[b-9cb7qc2f42] {
    background: rgb(247, 231, 231, 0,10);
    max-width: 700px;
    padding: 30px;
    border-radius: 10px;
    box-shadow: 0 2px 8px rgba(0,0,0,0.1);
}

.hide-element[b-9cb7qc2f42] {
    display: none;
}

.display-element[b-9cb7qc2f42] {
    display: block;
}

.form-row[b-9cb7qc2f42] {
    flex: 1;
    display: flex;
    flex-direction: row;
    margin-bottom: 15px;
}

.form-flex[b-9cb7qc2f42] {
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
}

.form-group[b-9cb7qc2f42] {
    flex: 1 1 45%;
    display: flex;
    flex-direction: column;
    margin-bottom: 10px;
}

label[b-9cb7qc2f42] {
    margin-bottom: 6px;
    font-weight: bold;
}

input[b-9cb7qc2f42], select[b-9cb7qc2f42] {
    padding: 8px;
    border: 1px solid #ccc;
    border-radius: 4px;
    font-size: 1em;
    background: #fff;
}

.checkbox-group[b-9cb7qc2f42] {
    flex-direction: row;
    align-items: center;
}

    .checkbox-group label[b-9cb7qc2f42] {
        margin-bottom: 0;
        margin-left: 8px;
        font-weight: normal;
    }

button[b-9cb7qc2f42] {
    margin-top: 20px;
    padding: 10px 10px;
    background: #007bff;
    color: #fff;
    border: none;
    border-radius: 4px;
    font-size: 1em;
    cursor: pointer;
    width: 100%;
}

    button:hover[b-9cb7qc2f42] {
        background: #0056b3;
    }

input[type="text"]:disabled[b-9cb7qc2f42] {
    background: rgba(0,0,0,0.1);
}

hr.title-hr[b-9cb7qc2f42] {
    border: 5px solid #808080;
    border-radius: 5px;
}

hr.title-hr2[b-9cb7qc2f42] {
    border: 3px solid #808080;
    border-radius: 5px;
}

span.under[b-9cb7qc2f42] {
    border-bottom: 3px solid #808080;
}


@media (max-width: 700px) {
    .form-flex[b-9cb7qc2f42] {
        flex-direction: column;
    }

    .form-group[b-9cb7qc2f42] {
        flex: 1 1 80%;
    }

    div:empty[b-9cb7qc2f42] {
        display: none;
    }
}
/* /Components/LegalResponsableForm.razor.rz.scp.css */
body[b-bhpx6alv4c] {
    font-family: Arial, sans-serif;
    background: #f7f7f7;
    padding: 40px;
}

.form-container[b-bhpx6alv4c] {
    background: rgb(247, 231, 231, 0,10);
    max-width: 850px;
    margin: auto;
    padding: 30px;
    border-radius: 10px;
    box-shadow: 0 2px 8px rgba(0,0,0,0.1);
}

.form-row[b-bhpx6alv4c] {
    flex: 1;
    margin-bottom: 15px;
    width : 100%;

}

.form-flex[b-bhpx6alv4c] {
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
}

.bordered-div[b-bhpx6alv4c] {
    border: 2px solid rgb(96 139 168);
    border-radius: 5px;
}

.form-group[b-bhpx6alv4c] {
    flex: 1 1 45%;
    display: flex;
    flex-direction: column;
    margin-bottom: 10px;
}

label[b-bhpx6alv4c] {
    margin-bottom: 6px;
    font-weight: bold;
}

input[b-bhpx6alv4c], select[b-bhpx6alv4c] {
    padding: 8px;
    border: 1px solid #ccc;
    border-radius: 4px;
    font-size: 1em;
    background: #fff;
}

.checkbox-group[b-bhpx6alv4c] {
    flex-direction: row;
    align-items: center;
}

    .checkbox-group label[b-bhpx6alv4c] {
        margin-bottom: 0;
        margin-left: 8px;
        font-weight: normal;
    }

button[b-bhpx6alv4c] {
    margin-top: 20px;
    padding: 10px 10px;
    background: #007bff;
    color: #fff;
    border: none;
    border-radius: 4px;
    font-size: 1em;
    cursor: pointer;
    width: 100%;
}

    button:hover[b-bhpx6alv4c] {
        background: #0056b3;
    }

input[type="text"]:disabled[b-bhpx6alv4c] {
    background: rgba(0,0,0,0.1);
}

hr.title-hr[b-bhpx6alv4c] {
    border: 5px solid #808080;
    border-radius: 5px;
}

hr.title-hr2[b-bhpx6alv4c] {
    border: 3px solid #808080;
    border-radius: 5px;
}

span.under[b-bhpx6alv4c] {
    border-bottom: 3px solid #808080;
}


@media (max-width: 700px) {
    .form-flex[b-bhpx6alv4c] {
        flex-direction: column;
    }

    .form-group[b-bhpx6alv4c] {
        flex: 1 1 80%;
    }

    div:empty[b-bhpx6alv4c] {
        display: none;
    }
}
/* /Components/ResponsableListByEleve.razor.rz.scp.css */
.list-detail-flex[b-9ibdcm6fz9] {
    display: flex;
    flex-wrap: wrap;
    gap:5px;
    background-color : bisque;
}

.detail-elt[b-9ibdcm6fz9]{
    width:350px;
}
/* /Components/TclasseForm.razor.rz.scp.css */
body[b-1tjju2oh8w] {
}
/* /Components/TclasseInfos.razor.rz.scp.css */
body[b-50x0rmyy5r] {
}
/* /Layout/MainLayout.razor.rz.scp.css */
.page[b-qa5hvz863q] {
    position: relative;
    display: flex;
    flex-direction: column;
}

main[b-qa5hvz863q] {
    flex: 1;
}

.sidebar[b-qa5hvz863q] {
    /*Default*/
    /*background-image: linear-gradient(180deg, rgb(5, 39, 103) 0%, #3a0647 70%);*/
    /*background: #2DA3FD;
    background: linear-gradient(0deg,rgba(45, 163, 253, 1) 0%, rgba(35, 200, 195, 0.95) 28%);*/
    /*Avec gradient blue en bas*/
    /*background: #2DA3FD;
    background: linear-gradient(0deg,rgba(45, 163, 253, 1) 0%, rgba(35, 200, 195, 0.95) 7%);*/

    background: #1dd8db;
    background: linear-gradient(0deg,rgba(29, 216, 219, 1) 0%, rgba(31, 122, 119, 0.95) 4%);
}

.top-row[b-qa5hvz863q] {
    /*background-color: #f7f7f7;*/
    background-color: #1F7A77;
    border-bottom: 1px solid #d6d5d5;
    justify-content: flex-end;
    /*height: 3.5rem;*/
    height: 2.5rem;
    display: flex;
    align-items: center;
}

    .top-row[b-qa5hvz863q]  a, .top-row[b-qa5hvz863q]  .btn-link {
        white-space: nowrap;
        margin-left: 1.5rem;
        text-decoration: none;
    }

    .top-row[b-qa5hvz863q]  a:hover, .top-row[b-qa5hvz863q]  .btn-link:hover {
        text-decoration: underline;
    }

    .top-row[b-qa5hvz863q]  a:first-child {
        overflow: hidden;
        text-overflow: ellipsis;
    }

@media (max-width: 640.98px) {
    .top-row[b-qa5hvz863q] {
        justify-content: space-between;
    }

    .top-row[b-qa5hvz863q]  a, .top-row[b-qa5hvz863q]  .btn-link {
        margin-left: 0;
    }
}

@media (min-width: 641px) {
    .page[b-qa5hvz863q] {
        flex-direction: row;
    }

    .sidebar[b-qa5hvz863q] {
        width: 250px;
        height: 100vh;
        position: sticky;
        top: 0;
    }

    .top-row[b-qa5hvz863q] {
        position: sticky;
        top: 0;
        z-index: 1;
    }

    .top-row.auth[b-qa5hvz863q]  a:first-child {
        flex: 1;
        text-align: right;
        width: 0;
    }

    .top-row[b-qa5hvz863q], article[b-qa5hvz863q] {
        padding-left: 2rem !important;
        padding-right: 1.5rem !important;
    }
}
/* /Layout/NavMenu.razor.rz.scp.css */
.navbar-toggler[b-destp86fvt] {
    background-color: rgba(255, 255, 255, 0.1);
}

.top-row[b-destp86fvt] {
    height: auto;
    /*height: 3.5rem;*/
    background-color: rgba(0,0,0,0.2);
}

    .top-row > a[b-destp86fvt] {
        color: red;
    }

.navbar-brand[b-destp86fvt] {
    font-size: 1.1rem;
}

.bi[b-destp86fvt] {
    display: inline-block;
    position: relative;
    width: 1.25rem;
    height: 1.25rem;
    margin-right: 0.75rem;
    top: -1px;
    background-size: cover;
}

.bi-house-door-fill-nav-menu[b-destp86fvt] {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='white' class='bi bi-house-door-fill' viewBox='0 0 16 16'%3E%3Cpath d='M6.5 14.5v-3.505c0-.245.25-.495.5-.495h2c.25 0 .5.25.5.5v3.5a.5.5 0 0 0 .5.5h4a.5.5 0 0 0 .5-.5v-7a.5.5 0 0 0-.146-.354L13 5.793V2.5a.5.5 0 0 0-.5-.5h-1a.5.5 0 0 0-.5.5v1.293L8.354 1.146a.5.5 0 0 0-.708 0l-6 6A.5.5 0 0 0 1.5 7.5v7a.5.5 0 0 0 .5.5h4a.5.5 0 0 0 .5-.5Z'/%3E%3C/svg%3E");
}

.bi-plus-square-fill-nav-menu[b-destp86fvt] {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='white' class='bi bi-plus-square-fill' viewBox='0 0 16 16'%3E%3Cpath d='M2 0a2 2 0 0 0-2 2v12a2 2 0 0 0 2 2h12a2 2 0 0 0 2-2V2a2 2 0 0 0-2-2H2zm6.5 4.5v3h3a.5.5 0 0 1 0 1h-3v3a.5.5 0 0 1-1 0v-3h-3a.5.5 0 0 1 0-1h3v-3a.5.5 0 0 1 1 0z'/%3E%3C/svg%3E");
}

.bi-list-nested-nav-menu[b-destp86fvt] {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='white' class='bi bi-list-nested' viewBox='0 0 16 16'%3E%3Cpath fill-rule='evenodd' d='M4.5 11.5A.5.5 0 0 1 5 11h10a.5.5 0 0 1 0 1H5a.5.5 0 0 1-.5-.5zm-2-4A.5.5 0 0 1 3 7h10a.5.5 0 0 1 0 1H3a.5.5 0 0 1-.5-.5zm-2-4A.5.5 0 0 1 1 3h10a.5.5 0 0 1 0 1H1a.5.5 0 0 1-.5-.5z'/%3E%3C/svg%3E");
}

.nav-item[b-destp86fvt] {
    font-size: 0.9rem;
    padding-bottom: 0.5rem;
}

    .nav-item:first-of-type[b-destp86fvt] {
        padding-top: 1rem;
    }

    .nav-item:last-of-type[b-destp86fvt] {
        padding-bottom: 1rem;
    }

    .nav-item[b-destp86fvt]  a {
        color: #d7d7d7;
        border-radius: 4px;
        height: 3rem;
        display: flex;
        align-items: center;
        line-height: 3rem;
    }

.nav-item[b-destp86fvt]  a.active {
    background-color: rgba(255,255,255,0.37);
    color: white;
}

.nav-item[b-destp86fvt]  a:hover {
    background-color: rgba(255,255,255,0.1);
    color: white;
}

.nav-link[b-destp86fvt]  {
    color: #FA8072;
}

.nav-link:hover[b-destp86fvt]  {
    /*color: #DC143C;*/
    text-decoration: underline overline #DC143C;
}

@media (min-width: 641px) {
    .navbar-toggler[b-destp86fvt] {
        display: none;
    }

    .collapse[b-destp86fvt] {
        /* Never collapse the sidebar for wide screens */
        display: block;
    }
    
    .nav-scrollable[b-destp86fvt] {
        /* Allow sidebar to scroll for tall menus */
        height: calc(100vh - 3.5rem);
        overflow-y: auto;
    }
}
/* /Pages/Eleves/CreateEleve.razor.rz.scp.css */
body[b-yh9g366ofc] {
    font-family: Arial, sans-serif;
    background: #f7f7f7;
    padding: 40px;
}

.detail-wrapper[b-yh9g366ofc]{
    width : 100%;
}

.form-container[b-yh9g366ofc] {
    background: rgb(247, 231, 231, 0,10);
    max-width: 850px;
    margin: auto;
    padding: 30px;
    border-radius: 10px;
    box-shadow: 0 2px 8px rgba(0,0,0,0.1);
}

.form-row[b-yh9g366ofc] {
    flex: 1;
    display: flex;
    flex-direction: row;
    margin-bottom: 15px;
}

.form-flex[b-yh9g366ofc] {
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
}

.form-group[b-yh9g366ofc] {
    flex: 1 1 45%;
    display: flex;
    flex-direction: column;
    margin-bottom: 10px;
}

label[b-yh9g366ofc] {
    margin-bottom: 6px;
    font-weight: bold;
}

input[b-yh9g366ofc], select[b-yh9g366ofc] {
    padding: 8px;
    border: 1px solid #ccc;
    border-radius: 4px;
    font-size: 1em;
    background: #fff;
}

.checkbox-group[b-yh9g366ofc] {
    flex-direction: row;
    align-items: center;
}

.checkbox-group label[b-yh9g366ofc] {
    margin-bottom: 0;
    margin-left: 8px;
    font-weight: normal;
}

button[b-yh9g366ofc] {
    margin-top: 20px;
    padding: 10px 10px;
    background: #007bff;
    color: #fff;
    border: none;
    border-radius: 4px;
    font-size: 1em;
    cursor: pointer;
    width:100%;
}

    button:hover[b-yh9g366ofc] {
        background: #0056b3;
    }

input[type="text"]:disabled[b-yh9g366ofc] {
    background: rgba(0,0,0,0.1);
}

hr.title-hr[b-yh9g366ofc] {
    border: 5px solid #808080;
    border-radius: 5px;
}

hr.title-hr2[b-yh9g366ofc] {
    border: 3px solid #808080;
    border-radius: 5px;
}

span.under[b-yh9g366ofc] {
    border-bottom: 3px solid #808080;
}

.detail-card-hide[b-yh9g366ofc] {
    display: none;
}

.detail-card-display[b-yh9g366ofc] {
    display: block;
}


@media (max-width: 700px) {
    .form-flex[b-yh9g366ofc] {
        flex-direction: column;
    }

    .form-group[b-yh9g366ofc] {
        flex: 1 1 80%;
    }

    div:empty[b-yh9g366ofc] {
        display:none;
    }
}

/* /Pages/Eleves/CreateEleveOld.razor.rz.scp.css */
body[b-4igay4lfry] {
    font-family: Arial, sans-serif;
    background: #f7f7f7;
    padding: 40px;
}

.detail-wrapper[b-4igay4lfry]{
    width : 100%;
}

.form-container[b-4igay4lfry] {
    background: rgb(247, 231, 231, 0,10);
    max-width: 850px;
    margin: auto;
    padding: 30px;
    border-radius: 10px;
    box-shadow: 0 2px 8px rgba(0,0,0,0.1);
}

.form-row[b-4igay4lfry] {
    flex: 1;
    display: flex;
    flex-direction: row;
    margin-bottom: 15px;
}

.form-flex[b-4igay4lfry] {
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
}

.form-group[b-4igay4lfry] {
    flex: 1 1 45%;
    display: flex;
    flex-direction: column;
    margin-bottom: 10px;
}

label[b-4igay4lfry] {
    margin-bottom: 6px;
    font-weight: bold;
}

input[b-4igay4lfry], select[b-4igay4lfry] {
    padding: 8px;
    border: 1px solid #ccc;
    border-radius: 4px;
    font-size: 1em;
    background: #fff;
}

.checkbox-group[b-4igay4lfry] {
    flex-direction: row;
    align-items: center;
}

.checkbox-group label[b-4igay4lfry] {
    margin-bottom: 0;
    margin-left: 8px;
    font-weight: normal;
}

button[b-4igay4lfry] {
    margin-top: 20px;
    padding: 10px 10px;
    background: #007bff;
    color: #fff;
    border: none;
    border-radius: 4px;
    font-size: 1em;
    cursor: pointer;
    width:100%;
}

    button:hover[b-4igay4lfry] {
        background: #0056b3;
    }

input[type="text"]:disabled[b-4igay4lfry] {
    background: rgba(0,0,0,0.1);
}

hr.title-hr[b-4igay4lfry] {
    border: 5px solid #808080;
    border-radius: 5px;
}

hr.title-hr2[b-4igay4lfry] {
    border: 3px solid #808080;
    border-radius: 5px;
}

span.under[b-4igay4lfry] {
    border-bottom: 3px solid #808080;
}

.detail-card-hide[b-4igay4lfry] {
    display: none;
}

.detail-card-display[b-4igay4lfry] {
    display: block;
}


@media (max-width: 700px) {
    .form-flex[b-4igay4lfry] {
        flex-direction: column;
    }

    .form-group[b-4igay4lfry] {
        flex: 1 1 80%;
    }

    div:empty[b-4igay4lfry] {
        display:none;
    }
}

/* /Pages/Enseignants/EnseignantsList.razor.rz.scp.css */
body[b-zf8wqy4z5b] {
}
/* /Pages/Tclasses/Index.razor.rz.scp.css */
body[b-yrawkhnq94] {
}
